aboutsummaryrefslogtreecommitdiffstats
path: root/main/alsa-lib/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-10-30 11:46:01 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-10-31 12:07:11 +0000
commitb4a227c98876cb0277a8f41766e3f002674dd909 (patch)
tree8e800803ab76965556898cc1e17697bd3b9fb92e /main/alsa-lib/APKBUILD
parentd24ee72554529f49f0b829bd9eb8d50d9a314deb (diff)
downloadaports-b4a227c98876cb0277a8f41766e3f002674dd909.tar.gz
aports-b4a227c98876cb0277a8f41766e3f002674dd909.tar.bz2
aports-b4a227c98876cb0277a8f41766e3f002674dd909.tar.xz
main/alsa-lib: specify license
Diffstat (limited to 'main/alsa-lib/APKBUILD')
-rw-r--r--main/alsa-lib/APKBUILD9
1 files changed, 5 insertions, 4 deletions
diff --git a/main/alsa-lib/APKBUILD b/main/alsa-lib/APKBUILD
index 0d9d12b876..719dbed2ab 100644
--- a/main/alsa-lib/APKBUILD
+++ b/main/alsa-lib/APKBUILD
@@ -1,12 +1,12 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=alsa-lib
pkgver=1.0.27.2
-pkgrel=2
+pkgrel=3
pkgdesc="An alternative implementation of Linux sound support"
url="http://www.alsa-project.org"
arch="all"
-license="GPL"
-depends=
+license="LGPL2+"
+depends=""
subpackages="$pkgname-dev"
source="http://alsa.cybermirror.org/lib/$pkgname-$pkgver.tar.bz2
alsa-lib_pcm_h.patch
@@ -17,6 +17,7 @@ source="http://alsa.cybermirror.org/lib/$pkgname-$pkgver.tar.bz2
_builddir="$srcdir/$pkgname-$pkgver"
prepare() {
+ local i
cd "$_builddir"
update_config_sub || return 1
rm src/compat/hsearch_r.c && touch src/compat/hsearch_r.c
@@ -47,7 +48,7 @@ build() {
package() {
cd "$srcdir/$pkgname-$pkgver"
- make -j1 DESTDIR="$pkgdir" install
+ make -j1 DESTDIR="$pkgdir" install || return 1
find "$pkgdir" -iname *.la -delete
}